<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:com="http://www.clousoft.com/xbrlrender/commontable" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes">
    <xsl:output version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no" />
    <xsl:template match="/">
        <html>
            <body>
                <xsl:for-each select="com:root">
                    <xsl:for-each select="./com:role">
					<xsl:variable name="rolename" select="./@name"/>
                       <xsl:value-of select="./@name" />
                        <br />
                        <xsl:for-each select="./com:xbrltable">
                          <a>  <xsl:attribute name="href">content.html#<xsl:value-of select="$rolename"/>
						  <xsl:value-of select="./@name"/>
						  </xsl:attribute> 
						  <xsl:attribute name="target">content</xsl:attribute>
							<xsl:value-of select="./@name"/>
						  </a>
                            <br />
                        </xsl:for-each>
                        <br />
                    </xsl:for-each>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c)1998-2004. Sonic Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="commontable.xml" htmlbaseurl="" outputurl="catalog.html" processortype="xalan" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition></MapperMetaTag>
</metaInformation>
-->